Client is the central point for all client/account static data.

Query Parameters
  • organisationCode
    Type: string
  • branchCode
    Type: string
  • advisorCode
    Type: string
  • accountNumbers
    Type: array string[] 1…1000 unique!
  • includeInactive
    Type: boolean
Responses
  • application/json
Request Example for get/connect-data/tradingaccounts/v2
curl https://api.uat.openbroker.io/connect-data/tradingaccounts/v2
[
  {
    "accountNumber": "111888",
    "accountName": "Mr James Alan Smith",
    "clientCode": "111888",
    "organisationCode": "TPOMAL",
    "branchCode": "01",
    "advisorCode": "ADV1",
    "advisorName": "John Doe",
    "dateCreated": "2025-02-19T04:12:07Z",
    "status": "Active",
    "orderClass": "Standard",
    "hin": "X0001234567",
    "pid": "20087",
    "crossReference": "CRM-4821",
    "accountType": "Individual",
    "clientType": "Normal",
    "warrantsTrading": "No",
    "optionsTrading": "No",
    "internationalTrading": "No",
    "equitiesBrokerageSchedule": "AU|STD",
    "optionsBrokerageSchedule": null,
    "bankInstitutionCode": "MBLA",
    "bsb": "063000",
    "bankAccountNumber": "12345678",
    "bankAccountName": "James Alan Smith",
    "bankTransactionTypes": "DRCR",
    "accountDesignation": null,
    "emailAddress": "james.smith@example.com",
    "contractNoteEmailAddress": "james.smith@example.com",
    "workPhone": "(03) 9000 0001",
    "mobilePhone": "0400000000",
    "homePhone": "(03) 9000 0000",
    "addressLine1": "Unit 12a",
    "addressLine2": "350 Collins Street",
    "addressLine3": "Melbourne VIC",
    "addressLine4": null,
    "postcode": "3000",
    "countryCode": "AUS",
    "externalRef1": "CRM-4821",
    "externalRef2": null
  }
]